Create one UN number
post
/fscmRestApi/resources/11.13.18.05/purchasingUNNumbers
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
Description: string
Title:
DescriptionMaximum Length:240Description of the UN number. -
HazardClassId: integer
(int64)
Title:
Hazard ClassValue that uniquely identifies the hazard class. -
InactiveDate: string
(date)
Title:
End DateDate after which the UN number is no longer valid. -
UNNumber: string
Title:
UN NumberMaximum Length:20Name that uniquely identifies the UN number. -
UNNumberCode: string
Title:
CodeMaximum Length:30Abbreviation that identifies the UN number. -
UNNumberId: integer
(int64)
Title:
UN NumberValue that uniquely identifies a UN number.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : purchasingUNNumbers-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the UN number. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the UN number was created. -
Description: string
Title:
DescriptionMaximum Length:240Description of the UN number. -
HazardClass: string
Title:
Hazard ClassRead Only:trueMaximum Length:40Name of the hazard class. -
HazardClassId: integer
(int64)
Title:
Hazard ClassValue that uniquely identifies the hazard class. -
InactiveDate: string
(date)
Title:
End DateDate after which the UN number is no longer valid. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the UN number. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the UN number. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
UNNumber: string
Title:
UN NumberMaximum Length:20Name that uniquely identifies the UN number. -
UNNumberCode: string
Title:
CodeMaximum Length:30Abbreviation that identifies the UN number. -
UNNumberId: integer
(int64)
Title:
UN NumberValue that uniquely identifies a UN number.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to create one UN number.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/purchasingUNNumbers"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/purchasingUNNumbers"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"UNNumber": "NA1271",
"UNNumberCode": "NA1271",
"Description": "Petroleum oil",
"InactiveDate": null,
"HazardClassId": 100000011190053
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"UNNumberId": 300100650999615,
"UNNumber": "NA1271",
"UNNumberCode": "NA1271",
"Description": "Petroleum oil",
"InactiveDate": null,
"HazardClassId": 100000011190053,
"CreatedBy": "CVBUYER01",
"CreationDate": "2026-02-09T03:11:07.002+00:00",
"LastUpdateDate": "2026-02-09T03:11:07.115+00:00",
"LastUpdatedBy": "CVBUYER01",
"HazardClass": "cPO-HazardClass01",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/purchasingUNNumbers/300100650999615",
"name": "purchasingUNNumbers",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/purchasingUNNumbers/300100650999615",
"name": "purchasingUNNumbers",
"kind": "item"
}
]
}